aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-03-01 21:58:16 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2008-03-01 21:58:16 +0000
commitcc8fe4226d0517645967a1f088817638988b82ef (patch)
treec84f6d717c1ae987768fb6d7629f211a0325db8e
parentce7fe40ad18d435624b3f2b4235e8499f00c525e (diff)
downloadpaludis-cc8fe4226d0517645967a1f088817638988b82ef.tar.gz
paludis-cc8fe4226d0517645967a1f088817638988b82ef.tar.xz
Tweak.
-rwxr-xr-xpaludis/repositories/e/ebuild/source_functions.bash5
1 files changed, 2 insertions, 3 deletions
diff --git a/paludis/repositories/e/ebuild/source_functions.bash b/paludis/repositories/e/ebuild/source_functions.bash
index 309a757..fa9c7e4 100755
--- a/paludis/repositories/e/ebuild/source_functions.bash
+++ b/paludis/repositories/e/ebuild/source_functions.bash
@@ -32,9 +32,8 @@ ebuild_safe_source()
trap DEBUG
set -T
shopt -s extdebug
- trap "[[ \${BASH_COMMAND%%[[:space:]]*} == @(eval|trap) ||
- ( \${BASH_COMMAND} != *([^\$'\n'])=* && \${BASH_COMMAND%%[[:space:]]*} != @(export|declare) ) ||
- \${BASH_COMMAND} == ?(*([^=])[[:space:]])!($(IFS='|'; shift; echo "${*}"))?(=*) ]]" DEBUG
+ trap "[[ \${BASH_COMMAND%%[[:space:]]*} != @(*=*|export|declare) ||
+ \${BASH_COMMAND%%=*} == ?(*[[:space:]])!($(IFS='|'; shift; echo "${*}")) ]]" DEBUG
source "${1}"
eval "trap DEBUG; shopt -u extdebug; set +T; return ${?}"